"""
Cald_Site_Select_Viewshed_UASd.py v.1.0 (6-17-2020)
Created by Rich Thurau: richard_thurau@ios.doi.gov

Purpose: Provide digital elevation model (z value meters) and observation point
to calculate elevation ranges for viewshed based site selection.
See Site Selection workflow handout for UASD.
"""

import arcpy, os
from arcpy.sa import *
arcpy.CheckOutExtension("Spatial")
arcpy.env.overwriteOutput = True

gdb = r"C:\my GDB file Address" #File GDB containing input data
dem = os.path.join(gdb, "DEM_TFR")
obs_point = os.path.join(gdb, "Obs_Point") # Fature class of single point of ananlysis.


def calc_site_view(dem, obs_point):
    desc = arcpy.Describe(obs_point)
    
    agl_ras = os.path.join(gdb, desc.baseName+"_agl")
    print ("\nCalculating Viewshed")
    vs=Viewshed(dem, obs_point, "", "", "", agl_ras)
    print ("Adding DEM and VS")
    view_ras = Plus(dem, agl_ras)
    print ("Converting to feet")
    view_ras_ft = Times(view_ras, 3.281)
    outVS_file = os.path.join(gdb, desc.baseName+"_agl_ft")
    print ("Saving output")
    view_ras_ft.save(outVS_file)


calc_site_view(dem, obs_point)


